#!/bin/bash
set -e
AGGREGATOR_PATH=git://git.eclipse.org/gitroot/platform/eclipse.platform.releng.aggregator.git
TAG=R4_3_2

rm -rf R4_platform-aggregator-$TAG
rm -rf R4_platform-aggregator-$TAG.tar.xz

# adding --depth 1 here may result in a quicker clone, but did not work for me
git clone --branch $TAG  $AGGREGATOR_PATH R4_platform-aggregator-$TAG


pushd R4_platform-aggregator-$TAG

git submodule init
git submodule update


#comment this line to get a shallow clone.
find . -type d -name ".git" | xargs rm rm -rf 

find . -type f -name *.class -exec rm -rf {} \;

find . -name *.jar -type f -exec rm -rf {} \;

find . -type f -name *.so -exec rm -rf {} \;
find . -type f -name *.dll -exec rm -rf {} \;
find . -type f -name *.jnilib -exec rm -rf {} \;

popd 

tar cJf R4_platform-aggregator-$TAG.tar.xz R4_platform-aggregator-$TAG
